=== debian/changelog ===
ark (4:4.14.2-2+deb8u1) jessie; urgency=medium

  * Add new upstream patch:
    Stop-crashing-on-exit-when-being-used-solely-as-a-KPart.patch.
    Thanks to Nick Leverton for reporting (Closes: 800021, 770840)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 21 Oct 2016 20:52:52 +0200

ark (4:4.14.2-2) unstable; urgency=medium

  * New upstream patch: upstream_remove_part_from_KXMLGUIFactory_on_exit
  * Update patch: use_libarchive_for_zip_files, handle adding and
    deleting files from a zip file (Closes: #769099)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 13 Nov 2014 16:39:11 +0100

ark (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:12:56 +0200

ark (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:21 +0200

ark (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 03:40:24 +0200

ark (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 30 Jul 2014 20:26:05 +0200

ark (4:4.13.2-1) unstable; urgency=medium

  * New upstream release.
  * Update patch: use_libarchive_for_zip_files (Closes: #749916)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Jul 2014 10:58:57 +0200

ark (4:4.13.1-1) unstable; urgency=low

  [ Sune Vuorela ]
  * Fix use_libarchive_for_zip_files. Thanks to Augusto Beiro for noticing.
    (Closes: #748198)

  [ Maximiliano Curia ]
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 13:37:19 +0200
