=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/ark-([\d.]+).tar.xz
