=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ark
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -11,10 +11,10 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev,
                libarchive-dev,
                libbz2-dev,
-               libkonq5-dev (>= 4:4.11),
+               libkonq5-dev (>= 4:14.12.3),
                liblzma-dev,
                libqjson-dev,
                pkg-kde-tools (>= 0.12),
@@ -22,8 +22,8 @@
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/ark.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/ark.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/ark.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/ark.git
 
 Package: ark
 Section: utils
