=== debian/control ===
--- 
+++ 
@@ -10,20 +10,31 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               extra-cmake-modules,
+               kdoctools-dev,
+               kio-dev,
                libarchive-dev,
                libbz2-dev,
-               libkonq5-dev (>= 4:14.12.3),
+               libkf5archive-dev,
+               libkf5config-dev,
+               libkf5crash-dev,
+               libkf5dbusaddons-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5khtml-dev,
+               libkf5pty-dev,
+               libkf5service-dev,
+               libkf5widgetsaddons-dev,
                liblzma-dev,
                libqjson-dev,
-               pkg-kde-tools (>= 0.12),
+               pkg-kde-tools (>= 0.15.15ubuntu1~),
+               qtbase5-dev,
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/ark.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/ark.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ark.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ark.git
 
 Package: ark
 Section: utils
