=== app/icons/CMakeLists.txt ===
include(ECMInstallIcons)

ecm_install_icons(ICONS 128-apps-ark.png  16-apps-ark.png  22-apps-ark.png  32-apps-ark.png  48-apps-ark.png  64-apps-ark.png sc-apps-ark.svgz DESTINATION ${ICON_INSTALL_DIR})
