=== debian/changelog ===
ark (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:46:31 -0700

ark (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Disable tests at build-time as they don't work without an installed copy
    of ark.

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:20:51 +0100

ark (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:38:57 +0100

ark (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:42 +0200

ark (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 02:44:56 +0200

ark (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).
  * New upstream release (15.04.3).
  * Drop usage of libarchive for zip files.
  * Rename patch: use_libarchive_for_zip_files ->
    update_libarchive_support
  * New upstream release (15.08.0).
  * Update build dependencies.
  * Update copyright file.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 06 Sep 2015 15:54:46 +0200

ark (4:15.08.0-0ubuntu2) UNRELEASED; urgency=medium

  * Fix org.kde.ark.appdata.xml rename.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 08 Sep 2015 08:15:12 +0200

ark (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:12:56 +0200

ark (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (4.14.3).
  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.
  * New upstream patch: upstream_stop_crashing_on_exit properly fixes
    upstream_remove_part_from_KXMLGUIFactory_on_exit (Closes: #770840)
    Thanks to Tsu Jan
  * Remove upstream patch:
    upstream_remove_part_from_KXMLGUIFactory_on_exit
  * Remove upstream patch: upstream_stop_crashing_on_exit

 -- Maximiliano Curia <maxy@debian.org>  Mon, 23 Feb 2015 22:36:03 +0100
