=== debian/control ===
--- 
+++ 
@@ -8,30 +8,29 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules,
-               kdoctools-dev,
-               kio-dev,
-               libarchive-dev,
+               extra-cmake-modules (>= 1.7.0~),
+               kdoctools-dev (>= 5.6.0~),
+               kio-dev (>= 5.6.0~),
+               libarchive-dev (>= 3.0.0~),
                libbz2-dev,
-               libkf5archive-dev,
-               libkf5config-dev,
-               libkf5crash-dev,
-               libkf5dbusaddons-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5khtml-dev,
-               libkf5pty-dev,
-               libkf5service-dev,
-               libkf5widgetsaddons-dev,
+               libkf5archive-dev (>= 5.6.0~),
+               libkf5config-dev (>= 5.6.0~),
+               libkf5crash-dev (>= 5.6.0~),
+               libkf5dbusaddons-dev (>= 5.6.0~),
+               libkf5i18n-dev (>= 5.6.0~),
+               libkf5iconthemes-dev (>= 5.6.0~),
+               libkf5khtml-dev (>= 5.6.0~),
+               libkf5pty-dev (>= 5.6.0~),
+               libkf5service-dev (>= 5.6.0~),
+               libkf5widgetsaddons-dev (>= 5.6.0~),
                liblzma-dev,
                libqjson-dev,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
+               qtbase5-dev (>= 5.4.0~),
                zlib1g-dev
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ark.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ark.git
