=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=ark-dbg

override_dh_auto_test:
	# disable the tests as they require an installed copy of ark
	:
