=== debian/changelog ===
ark (4:16.04.3a-0ubuntu2) yakkety; urgency=medium

  * Run tests with xvfb-run in order to fix autopkgtest.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 04 Oct 2016 19:53:35 +0100

ark (4:16.04.3a-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge. 
  * Missing separator FTBFS, the only thing I can thing of
    is adding a slash. 
  * Still failing, remove dash in front of rm? 
  * Remove merge markers.. bump SO version for libkerfuffle. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * Fix merge markers. 
  * New upstream bugfix release

  [ Rik Mills ]
  * Update lintian override package-name-doesnt-match-sonames
    libkerfuffle16 to new version
  * Add new missing file

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * Fixing install file
  * New upstream release (16.04.3)
  * New respun upstream tarball, Ill call it 16.04.3a
  * Fixing spelling and other lintian complaints in changelog

  [ José Manuel Santamaría Lema ]
  * Update appstream metadata path.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:31:30 +0200

ark (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:09 +0100
