=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, xvfb
Restrictions: build-needed
