=== debian/changelog ===
ark (4:16.08.3-2) unstable; urgency=medium

  * Add new patch: Stop-running-executables-when-opening-urls.patch (CVE-2017-5330)
    Thanks to Salvatore Bonaccorso for reporting (Closes: 850874)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 10 Feb 2017 16:29:46 +0100

ark (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:48:43 +0100

ark (4:16.08.2-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Remove unused libqjson-dev build dependency.

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 21:20:12 +0200

ark (4:16.04.3-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Add unar to Recommends and drop obsolete Suggests on various rar
    extraction packages since unar is now what upstream supports
    (Closes: #829265)
    -  Thanks to Alex Henry for the report and the solution

 -- Maximiliano Curia <maxy@debian.org>  Sun, 17 Jul 2016 21:01:20 +0200

ark (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 21:05:21 +0200

ark (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 10:48:30 +0200
