=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='ark-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	-rm debian/tmp/usr/lib/*/libkerfuffle.so

override_dh_auto_test:
	# Disable auto tests at build time
	:
