## ark 16.12.3

=== debian/changelog ===
ark (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:27:56 +0000

ark (4:16.12.1-0ubuntu3) zesty; urgency=medium

  * Revert the wrong fix done in the previous upload and provide the proper
    solution:
    - Pass the proper --server-args to xvfb-run
    - Create a $HOME directory before running the tests

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 06 Feb 2017 15:29:36 +0000

ark (4:16.12.1-0ubuntu2) zesty; urgency=medium

  * Fix the autopkgtests by using okular as a model (LP: #1662060).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 06 Feb 2017 12:41:04 +0000

ark (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Fixing install file
  * Fixing lintian-overrides

  [ Rik Mills ]
  * Add new build dep on libkf5itemmodels-dev
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:16:34 +0000

ark (4:16.04.3a-0ubuntu3) zesty; urgency=medium

  * Fix RAR files with shared-mime-info >= 1.7 (LP: #1636655)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 10 Nov 2016 17:54:33 -0600
